### Method

# Gcr Prompt get_caller_window

#### Declaration [src]

    gchar*
    gcr_prompt_get_caller_window (
      GcrPrompt* prompt
    )

#### Description [src]

Get the string handle of the caller’s window.

The caller window indicates to the prompt which window is prompting the user. The prompt may choose to ignore this information or use it in whatever way it sees fit.

Gets property | `Gcr.Prompt:caller-window`

#### Return value

Type: `gchar*`

A newly allocated string containing the string handle of the window.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.